Actions

J3.x

Known upgrading issues and solutions

Documentation all together tranparent small.png
Under Construction

This article or section is in the process of an expansion or major restructuring. You are welcome to assist in its construction by editing it as well. If this article or section has not been edited in several days, please remove this template.
This article was last edited by Sandra97 (talk| contribs) 22 months ago. (Purge)

This page lists upgrading issues you may encounter when upgrading to a current version of Joomla! from a previous one. Please use the links on this page to see more detail about the issue and the suggested fix.

Articles The Reported Issue Versions
"Save as New" and "Save as Copy" removed from article manager after 3.3.4 Upgrade

After upgrading from Joomla v3.3.3 to v3.3.4 The "Save as Copy" and "Save as New" buttons are no longer available when editing an article. I used a backup to revert back to v3.3.3 and all is well.

AJAX and Content History menu items are displaying in the components menu When a site is upgraded from Joomla 3.1 to 3.2 using FTP or another manual upgrade, a number of extensions show up through the discover install method. 3.2.x
Automatic Display need content events to be triggerd

<translate>

Automatic Display need content events to be triggerd/en
Backend Login looks bad
Backend Login looks bad/ar
Joomla! 
3.4.2

في جوملا 3.4.2 قمنا بتحسين النمط لصفحة الدخول الى الواجهة الخلفية.

Backend Login looks bad/en
Joomla! 
3.4.2

In Joomla 3.4.2 we improved the styling of the backend login page.

Backend/Page Break PHP error after upgrade to Joomla 3.5.1
Joomla! 
3.5.1

<translate> Page Break error after upgrade to Joomla 3.5.1</translate>

<translate>

Backend/Page Break PHP error after upgrade to Joomla 3.5.1/en
Joomla! 
3.5.1

Page Break error after upgrade to Joomla 3.5.1

Backward Compatibility in Joomla 3.4.7

<translate>

Backward Compatibility in Joomla 3.4.7/en
Caching Issues

<translate> Several cache issues are known. As a temporary fix, please disable Global Configuration - System Cache and the plugin System - Page Cache.</translate>

<translate>

Caching Issues/en

Several cache issues are known. As a temporary fix, please disable Global Configuration - System Cache and the plugin System - Page Cache.

Can't edit modules after update to 3.6.3

<translate> In some cases the backend module edit doesn't work or shows a white screen after upgrading Joomla.</translate>

<translate>

Can't edit modules after update to 3.6.3/en

In some cases the backend module edit doesn't work or shows a white screen.

Cannot create new content 3.1.4 Some users report that they receive the following error when attempting to create new content (of any type). 3.1.4
Cannot log in to Joomla frontend A small number of users have reported not being able to log in to the frontend of Joomla! 3.1.4,3.1.5
Changes in language file loading

<translate>

Changes in language file loading/en
Class 'PDO' not found
Joomla! 
3.4.0

<translate>

In Joomla 3.4 a new, based on the PDO, database driver for MySQL, was added (rapidly becoming the new de facto driver for MySQL database connections). However an incomplete check for the existence of the PDO driver was implemented for some users who didn't have the driver installed with PHP. </translate>

<translate>

Class 'PDO' not found/ar
Joomla! 
3.4.0

في جوملا 3.4 تمت اضافة جديدة ، استنادا إلى PDO، برنامج تشغيل قاعدة البيانات لـ MySQL ، وقد تمت الاضافة (بسرعة لتصبح بحكم الأمر الواقع برنامج قيادة جديد لاتصالات قاعدة بيانات MySQL). ومع ذلك تم تنفيذ الاختبار غير المكتمل لبرنامج القيادة PDO الموجود ةقد تم تركيبه لبعض المستخدمين الذين لم يكن لديهم برنامج التشغيل المثبت مع PHP.

Class 'PDO' not found/en
Joomla! 
3.4.0

In Joomla 3.4 a new, based on the PDO, database driver for MySQL, was added (rapidly becoming the new de facto driver for MySQL database connections). However an incomplete check for the existence of the PDO driver was implemented for some users who didn't have the driver installed with PHP.

Class attributes are not included in mailcloak Class attributes are not being included in mailcloak. 3.3.2
CLI Applications Broken Because of changes made to JTable, CLI and other stand alone applications that use JTable break in Joomla 3.1.3 and later. 3.1.3,3.1.4,3.1.5
Codemirror editor fullscreen mode
Codemirror editor fullscreen mode/en
Joomla! 
3.4.3

In Joomla 3.4.2 we improved the Codemirror Editor there we miss a one line change.

Database schema version (3.2.3-2014-02-20) does not match CMS version (3.2.3)

After updating Joomla to version 3.2.3 (using MySQL database), the Extensions > Extension Manager > Database > [Fix] shows "Warning: Database is not up to date!"

3.2.3
Date of birth shows everywhere on a single contact page
Date of birth shows everywhere on a single contact page/en
Joomla! 
3.4.3

In Joomla 3.4.2 we improved the handling of the Date of birth field.

Delete button on the media manager does not work anymore
Delete button on the media manager does not work anymore/en
Joomla! 
3.4.3

In Joomla 3.4.2 we improved the media manager.

Detailed instructions for updating from 3.1.2 to 3.1.4 Joomla! 3.1.2 wasn't an officially released version and my install was upgraded accidentally during a pre release error. 3.1.2
Duplicate Maintenance Info
Duplicate Maintenance Info/en
Joomla! 
≥ 3.4.2

In Joomla 3.4.2 and 3.4.3 some JavaScript files were updated which causes an error with browser caching.

Editing module shows module XML data not available
Joomla! 
3.4.0

<translate>

Some modules installed in Joomla 3.4 and higher (that previously worked in Joomla 3.3.6) show an error when attempting to edit </translate>

<translate>

Editing module shows module XML data not available/en
Joomla! 
3.4.0

Some modules installed in Joomla 3.4 and higher (that previously worked in Joomla 3.3.6) show an error when attempting to edit

Error in Mailing Extensions
Joomla! 
3.5.1

<translate>

Error in Mailing Extensions/en
Joomla! 
3.5.1
Error in Mailing Extensions/nl
Joomla! 
3.5.1
Errors in 2.5.26, 3.2.6, and 3.3.5 In the Joomla! 2.5.26, 3.2.6, and 3.3.5, an error was introduced into the code which processes Joomla! updates in the update component which causes errors when attempting to update Joomla. 2.5.26,3.2.6,3.3.5
Extension won't install
Joomla! 
3.4.0

<translate>

Some extensions won't install on Joomla 3.4.0 giving an error of "No file selected. Unable to find install package" </translate>

<translate>

Extension won't install/zh-cn
Joomla! 
3.4.0

有一些扩展在J3.4.0中安装的时候会出错,提示错误信息“没有选取任何文件 无法找到集成包”

Extensions Broken in 3.1.4 Some extensions that worked in 3.1.1 give a 500 error in version 3.1.4. 3.1.4
Fatal error Class JClassLoader
Joomla! 
3.4.2

In Joomla 3.4.2 we changed the way our Composer libraries are loaded.

Fatal error Class JClassLoader/en
Joomla! 
3.4.2

In Joomla 3.4.2 we change the way how our composer libraries get autoloaded.

Fatal Error in Input Filtering
Joomla! 
3.5.1

<translate> Some 3rd party extensions started giving fatal errors when doing data sanitisation in Joomla 3.5 and higher</translate>

<translate>

Fatal Error in Input Filtering/en
Joomla! 
3.5.1

Some 3rd party extensions started giving fatal errors when doing data sanitisation in Joomla 3.5 and higher

Getting a 500 when trying to sort users by User Group Open an article for edit, go to the Publishing tab, click to choose an author in Created by. A modal displays with 3 columns. Clicking to order by User Groups causes an error. 3.3.2
Global editor setting overrides user editor setting Global Configuration editor setting is overriding individual user's editor setting. 3.3.2
Hathor admin template has not been updated to work with the new features

<translate> We strongly recommend all users to use the Isis admin template. The Hathor admin template has not been updated to work with the new features shipping with this release.</translate> <translate> When we released Hathor it was built with accessibility in mind, but over the years the Isis template has been improved in terms of accessibility and supporting technologies. We now believe that the Isis template is as good as or possibly better than Hathor.</translate>

<translate> The Hathor template will be removed from the distribution with the release of Joomla! 4.0.</translate>

<translate>

Hathor admin template has not been updated to work with the new features/en

We strongly recommend all users to use the Isis admin template. The Hathor admin template has not been updated to work with the new features shipping with this release. When we released Hathor it was built with accessibility in mind, but over the years the Isis template has been improved in terms of accessibility and supporting technologies. We now believe that the Isis template is as good as or possibly better than Hathor.

The Hathor template will be removed from the distribution with the release of Joomla! 4.0.

Infinite error loop on multilanguage sites

<translate>

In some multilingual sites that were created before Joomla 2.5.4 when upgrading to 3.4 you can have a redirect loop created. </translate>

<translate>

Infinite error loop on multilanguage sites/en

In some multilingual sites that were created before Joomla 2.5.4 when upgrading to 3.4 you can have a redirect loop created.

Information about the Update to 3.6.3

<translate> Since the Security change in com_joomlaupdate with 3.6.2, it has been difficult to update to the last version. With 3.6.3, there is a fix in place that makes this easier.</translate>

<translate>

Information about the Update to 3.6.3 or 3.6.4/cs

Since the Security change in com_joomlaupdate with 3.6.2, it has been difficult to update to the last version. With 3.6.3, there is a fix in place that makes this easier.

Information about the Update to 3.6.3 or 3.6.4/de

Since the Security change in com_joomlaupdate with 3.6.2, it has been difficult to update to the last version. With 3.6.3, there is a fix in place that makes this easier.

Information about the Update to 3.6.3 or 3.6.4/en

Since the Security change in com_joomlaupdate with 3.6.2, it has been difficult to update to the last version. With 3.6.3, there is a fix in place that makes this easier.

Information about the Update to 3.6.3 or 3.6.4/fr

Since the Security change in com_joomlaupdate with 3.6.2, it has been difficult to update to the last version. With 3.6.3, there is a fix in place that makes this easier.

Information about the Update to 3.6.3/cs

Since the Security change in com_joomlaupdate with 3.6.2, it has been difficult to update to the last version. With 3.6.3, there is a fix in place that makes this easier.

Information about the Update to 3.6.3/de

Since the Security change in com_joomlaupdate with 3.6.2, it has been difficult to update to the last version. With 3.6.3, there is a fix in place that makes this easier.

Information about the Update to 3.6.3/en

Since the Security change in com_joomlaupdate with 3.6.2, it has been difficult to update to the last version. With 3.6.3, there is a fix in place that makes this easier.

Information about the Update to 3.6.3/es

Since the Security change in com_joomlaupdate with 3.6.2, it has been difficult to update to the last version. With 3.6.3, there is a fix in place that makes this easier.

Information about the Update to 3.6.3/fr

Since the Security change in com_joomlaupdate with 3.6.2, it has been difficult to update to the last version. With 3.6.3, there is a fix in place that makes this easier.

Insert error in menu table of migrated data If your site was migrated from Joomla! 1.5 to 2.5, you might experience problems when trying to update from your Joomla! 2.5.x to a 3.1.x version. 3.1.x
Install from web fails to load
Install from web fails to load/de
Install from web fails to load/en
Known issues with the new plugin Editor - TinyMCE

<translate> In Joomla! 3.7.0 there's new Editor - TinyMCE version (4.5) with new features.
Now you can configure the editor toolbar by choosing (drag & drop) which buttons and function display.
Now you can configure many editor "set" to be associated with various user access levels. </translate> <translate>

Known issues with the new plugin Editor - TinyMCE/de

In Joomla! 3.7.0 gibt einen neuen Editor - TinyMCE Version (4.5) mit neuen Funktionen.
Jetzt kann die Editor-Symbolleiste konfiguriert werden, indem man (Drag & Drop) die Schaltflächen und die Funktionsanzeige auswählen kann.
Jetzt können viele Editor "Sets" konfiguriert werden, um mit verschiedenen Benutzer-Zugriffsebenen verknüpft zu werden.

Known issues with the new plugin Editor - TinyMCE/en

In Joomla! 3.7.0 there's new Editor - TinyMCE version (4.5) with new features.
Now you can configure the editor toolbar by choosing (drag & drop) which buttons and function display.
Now you can configure many editor "set" to be associated with various user access levels.

Login/Logout Redirections broken after upgrade to Joomla 3.4.6
Joomla! 
3.4.6

<translate> Wrong redirect after login on front-end since 3.4.6</translate>

<translate>

Login/Logout Redirections broken after upgrade to Joomla 3.4.6/en
Joomla! 
3.4.6

Wrong redirect after login on front-end since 3.4.6

Missing Installer Tabs
Joomla! 
3.6.0

<translate>

Missing Installer Tabs/en
Joomla! 
3.6.0
Missing Installer Tabs/fa
Joomla! 
3.6.0
Missing JBrowser class after upgrading After update to Joomla 3.1.4 or later, some extensions that depend on the native autoloader, with a working code before, may stop working. 3.1.4,3.1.5
Module article news ordering ascending Module article news show articles in reverse order. 3.2.0
Multilang-site override a option of JCategories that cause a SQL error
Multilang-site override a option of JCategories that cause a SQL error/en
Joomla! 
3.4.2

In Joomla! 3.4.2 we improved the multilingual code. But for now if a component don't have disable a specific option in JCategories that gets overwritten on multilinguage sites.

Multilingual associations Copy not keep acl permission setting

<translate> Multilingual associations Copy Reference to Target does not keep acl permission setting.</translate>

<translate>

Multilingual associations Copy not keep acl permission setting/en

Multilingual associations Copy Reference to Target does not keep acl permission setting.

No admin menu item for component
Joomla! 
3.4.0

<translate>

In Joomla 3.4 a component installed will not create a menu item </translate>

<translate>

No admin menu item for component/en
Joomla! 
3.4.0

In Joomla 3.4 a component installed will not create a menu item

Notice: Undefined variable $link com menus
Notice: Undefined variable $link com menus/en
Joomla! 
3.4.3

In Joomla 3.4.2 we improved the usage of modals also in menus.

Open basedir in effect in template manager
PHP Warnings on PHP 7.0.9
PHP Warnings on PHP 7.0.9/en
Joomla! 
3.6.0
Problems for Sqlsrv The main article and category list queries are broken for SqlSrv based sites. 3.1.4,3.1.5
Session Fatal Error in some CLI Scripts
Joomla! 
3.5.1

<translate> Some CLI scripts started failing in Joomla 3.5.0 and higher</translate> <translate>

Session Fatal Error in some CLI Scripts/en
Joomla! 
3.5.1

Some CLI scripts started failing in Joomla 3.5.0 and higher

Setting proper default values for access level
Setting proper default values for access level/en
Joomla! 
3.4.2

Setting proper default values for access level

Subcategories Not Showing Why are subcategories not showing on drill downs?

In some category views subcategory information is not showing but they did prior to updating. This seems to be the case specifically when there is not a direct menu link to the category view displaying the subcategories.

3.1.4
Table xxx postinstall cpanels does not exist Users are seeing a "Table #__ doesn't exist" message due to an incompatibility in the older version of FOF code with the Joomla 3.x series. 3.2.x
The breadcrumbs module does not show the items not linked
Joomla! 
3.4.4

<translate> The module that comes with Joomla 3.4.4, in case of menu items without links (for example, items of type "Text Separator"), does not show the respective title in the path.</translate>

<translate>

The breadcrumbs module does not show the items not linked/en
Joomla! 
3.4.4

The module that comes with Joomla 3.4.4, in case of menu items without links (for example, items of type "Text Separator"), does not show the respective title in the path.

The reCaptcha function has been temporarily disabled for Joomla 3.2 Error Message: The reCaptcha function has been temporarily disabled for Joomla 3.2 3.2.0
Toolbar buttons missing after upgrade Toolbar buttons are missing in the administrator views after a Joomla! upgrade. 3.1.4,3.1.5
Unable to delete modules after updating When a site is upgraded to 3.2, users are unable to delete modules and are shown a generic "An error has occurred" message. This also applies to trying to empty trash in the module manager. 3.2.x
Unable To Edit Article 3.4.7
Joomla! 
3.4.7

<translate> Joomla! 3.4.7 changed how session management was done in the CMS (see the patch notes for more information). However a side affect was that people were unable to edit articles/modules etc.</translate>

<translate>

3.4.7
Unable To Edit Article 3.4.7/en
Joomla! 
3.4.7

Joomla! 3.4.7 changed how session management was done in the CMS (see the patch notes for more information). However a side affect was that people were unable to edit articles/modules etc.

3.4.7
Unable to login with 2fa enabled after 3.6.3

<translate> There are issues if you have a Joomla! website with 2FA enabled.</translate>

<translate>

Unable to login with 2fa enabled after 3.6.3/en

There are issues if you have a Joomla! website with 2FA enabled.

Update $explodedName with reversed array
Joomla! 
3.4.3

<translate>

Line 441 to 444 of libraries/joomla/filter/JInputFilter.php extracts possible extensions in the file name to check against a list of invalid extensions. </translate>

<translate>

Update $explodedName with reversed array/en
Joomla! 
3.4.3

Line 441 to 444 of libraries/joomla/filter/JInputFilter.php extracts possible extensions in the file name to check against a list of invalid extensions.

Update $explodedName with reversed array/nl
Joomla! 
3.4.3

Regel 441 tot 444 van libraries/joomla/filter/JInputFilter.php haalt mogelijke extensies uit de bestandsnaam om te controleren aan de hand van een lijst met ongeldige extensies.

Update fails with an error message
Joomla! 
3.6.1

<translate>

Update fails with an error message/en
Joomla! 
3.6.1
Update fails with an error message/id
Joomla! 
3.6.1
Update fails with an error message/ja
Joomla! 
3.6.1
Update fails with an error message/sv
Joomla! 
3.6.1
Update from 3.6.x to 3.6.3 Timeout

<translate>

Update from 3.6.x to 3.6.3 Timeout/de
Update from 3.6.x to 3.6.3 Timeout/en
Update from 3.6.x to 3.6.5 Profile fields

<translate>

Update from 3.6.x to 3.6.5 Profile fields/en
Update from 3.6.x to 3.6.5 Timeout

<translate>

Update from 3.6.x to 3.6.5 Timeout/en
Update from 3.7.x to 3.7.1 Timeout

<translate>

Update from 3.7.x to 3.7.1 Timeout/en
Update Package Install Failed
Joomla! 
3.6.0

<translate>

Update Package Install Failed/en
Joomla! 
3.6.0
Upgrade from 2.5 to 3.6.0 fails
Upgrade from 2.5 to 3.6.0 fails/en
Joomla! 
3.6.0
Upgrading from Joomla 3.4.x to 3.5
<translate>

Please note!</translate> <translate>

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).</translate>
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
<translate> Before updating, always take a backup and don’t forget to test it.</translate>

Joomla! 
3.x

<translate>

Upgrading from Joomla 3.4.x to 3.5/ca
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
Abans d'actualitzar, sempre fes una còpia de seguretat i no t'oblidis de provar-ho.

Joomla! 
3.x
Upgrading from Joomla 3.4.x to 3.5/el
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
Πριν ξεκινήσετε την ενημέρωση, λάβετε ένα αντίγραφο ασφαλείας και μη ξεχάσετε να το δοκιμάσετε.

Joomla! 
3.x
Upgrading from Joomla 3.4.x to 3.5/en
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
Before updating, always take a backup and don’t forget to test it.

Joomla! 
3.x
Upgrading from Joomla 3.4.x to 3.5/fa
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
پیش از به روز رسانی، همیشه یک پشتیبان بگیرید و فراموش نکنید که آن را آزمایش کنید.

Joomla! 
3.x
Upgrading from Joomla 3.4.x to 3.5/he
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
לפני העדכון, תמיד תקחו backup ואל תשכחו לבצע בדיקה.

Joomla! 
3.x
Upgrading from Joomla 3.4.x to 3.5/it
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
Prima di aggiornare, fai sempre un backup e non dimenticare di testarlo.

Joomla! 
3.x
Upgrading from Joomla 3.4.x to 3.5/ru
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
Перед тем, как начинать обновление [своей системы], всегда создавайте ее резервную копию и не забывайте протестировать ее.

Joomla! 
3.x
Upgrading from Joomla 3.4.x to 3.5/sv
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
Innan du uppdaterar ska du alltid ta en backup och inte glömma att testa den.

Joomla! 
3.x
Upgrading from Joomla 3.4.x to 3.5/sw
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
Kabla ya kusasisha, kila mara akibisha wovuti wako na usisahau kuujaribu.

Joomla! 
3.x
Upgrading from Joomla 3.4.x to 3.5/zh-cn
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
开始升级之前,请务必做好整站备份 备份 别忘了测试备份.

Joomla! 
3.x
Upgrading from Joomla 3.4.x to 3.5/zh-tw
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
在進行更新之前,請務必先備份網站,而且記得要測試一下備份。

Joomla! 
3.x
User custom field not display in the backend edit profile

<translate>

User custom field not display in the backend edit profile/en
Validation error on creating a menu entry
Validation error on creating a menu entry/en
Joomla! 
3.4.2

In Joomla 3.4.2 we improved our Core Validation JavaScript.

Upgrading from Joomla 3.4.x to 3.5/ja
Please note!

Updating to Joomla 3.5 can no longer be done through the extension manager.

You must now update through the Joomla! Update component (or by manual action as indicated below).
<html><icon class="fa fa-lightbulb-o fa-2x" style="color:#000;"></icon></html>
更新する前は、常にバックアップ を取り、必ず動作確認をしてください。

Joomla! 
3.x
Advertisement